<div class="shadow-sm" *ngIf ="loadedData"> 
   <div class="card mb-5 mb-xl-10 special-body">
      <div role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details" class="card-header border-0 cursor-pointer">
         <div class="card-title m-0">
            <h3 class="fw-bolder m-0">Profile Details</h3>
         </div>
      </div>
      <div id="kt_account_profile_details" class="collapse show">
         <form (ngSubmit)="onSubmit()" [formGroup]="filledForm" class="form">
            <div class="card-body border-top p-9">

               <div class="row mb-6">
                  <label class="col-lg-4 col-form-label required fw-bold fs-6">First name</label>
                  <div class="col-lg-8 fv-row"><input formControlName='firstname' type="text" class="form-control form-control-lg"></div>
               </div>        

               <div class="row mb-6">
                 <label class="col-lg-4 col-form-label required fw-bold fs-6">Last name</label>
                 <div class="col-lg-8 fv-row"><input formControlName='lastname' type="text" class="form-control form-control-lg"></div>
              </div>

              <div class="row mb-6">
                 <label class="col-lg-4 col-form-label required fw-bold fs-6">Birth date</label>
                 <div class="col-lg-4 fv-row">
                     <input formControlName='birth_date' type="text" [owlDateTime]="dt1" class="form-control form-control-lg">      
                 </div>
                 <div class="col-lg-4 fv-row">
                     <a [owlDateTimeTrigger]="dt1" class="btn btn-icon btn-secondary"><i class="las la-calendar fs-1"></i></a>
                     <owl-date-time 
                     [pickerType]="'calendar'"
                     #dt1></owl-date-time>  
                  </div>   
              </div>

              <div class="row mb-6">
                 <label class="col-lg-4 col-form-label required fw-bold fs-6">Age</label>
                 <div class="col-lg-8 fv-row"><input type="text" formControlName='age' class="form-control form-control-lg"></div>
              </div>
            </div>
            <div class="card-footer d-flex justify-content-end py-6 px-9">
               <button type="button" class="btn btn-primary">
                  Save Changes
               </button>
            </div>
         </form>
      </div>
   </div>
  
   
</div>

<ngx-spinner></ngx-spinner>